// If you want to override variables do it here
@import "variables";

// Import styles
@import "~@coreui/coreui/scss/coreui.scss";

// Temp fix for reactstrap
@import '~@coreui/coreui/scss/_dropdown-menu-right.scss';

// If you want to add something do it here
@import "custom";

// ie fixes
@import "ie-fix";
/**
*
*	Name:			IRAN Sans-Serif Font
*	Version:		4.0
*	Author:			Moslem Ebrahimi (moslemebrahimi.com)
*	Created on:		Dec 25, 2012
*	Updated on:		Dec 12, 2015
*	Website:		http://fontiran.com
*	Copyright:		Commercial/Proprietary Software
--------------------------------------------------------------------------------------
فونت های ایران سن سریف یک نرم افزار مالکیتی محسوب می شود. جهت آگاهی از قوانین استفاده از این فونت ها لطفا به وب سایت (فونت ایران دات کام) مراجعه نمایید
--------------------------------------------------------------------------------------
IRAN Sans-serif fonts are considered a proprietary software. To gain information about the laws regarding the use of these fonts, please visit www.fontiran.com
--------------------------------------------------------------------------------------
This set of fonts are used in this project under the license: (.....)
--------------------------------------------------------------------------------------
*
**/
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: bold;
  src: url('fonts/eot/IRANSansWeb_Bold.eot');
}
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 500;
  src: url('fonts/eot/IRANSansWeb_Medium.eot');
  src: url('fonts/eot/IRANSansWeb_Medium.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
  url('fonts/woff2/IRANSansWeb_Medium.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
  url('fonts/woff/IRANSansWeb_Medium.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('fonts/ttf/IRANSansWeb_Medium.ttf') format('truetype');
}
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 300;
  src: url('fonts/eot/IRANSansWeb_Light.eot');
  src: url('fonts/eot/IRANSansWeb_Light.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
  url('fonts/woff2/IRANSansWeb_Light.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
  url('fonts/woff/IRANSansWeb_Light.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('fonts/ttf/IRANSansWeb_Light.ttf') format('truetype');
}
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 200;
  src: url('fonts/eot/IRANSansWeb_UltraLight.eot');
  src: url('fonts/eot/IRANSansWeb_UltraLight.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
  url('fonts/woff2/IRANSansWeb_UltraLight.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
  url('fonts/woff/IRANSansWeb_UltraLight.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('fonts/ttf/IRANSansWeb_UltraLight.ttf') format('truetype');
}
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: normal;
  src: url('fonts/eot/IRANSansWeb.eot');
  src: url('fonts/eot/IRANSansWeb.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
  url('fonts/woff2/IRANSansWeb.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
  url('fonts/woff/IRANSansWeb.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('fonts/ttf/IRANSansWeb.ttf') format('truetype');
}
.checkedrow{
  width: 20px;
  float: right;
  height: 20px;

}
body
{
  font-family: IRANSans;
  direction: rtl;
}
.operationsrow
{
  font-size: 24px;
}
.viewlink
{

  color:#2dbbad;
}
.addlink
{

  color:#2dbbad;
  font-size: 50px;
  display: block;
  float: left;
  clear: both;
}
.topoperationsrow .link
{
  background:#186ba8;
  font-weight: bold;
  font-size: 50px;
  font-family: IRANSans;
}
.topoperationsrow .link:hover
{
  color: #143b6a;
}
.topoperationsrow
{
  width: 100%;
  clear: both;
  min-height: 80px;
  text-align: left;
  direction:ltr;
  overflow: auto;
}


.topoperationsrow div {
  float: left;
  margin-left:20px;
}

.topoperationsrow div .link {
  font-size: 10px;
}

.topoperationsrow div .link i{
  font-size: 50px;
  display: block;
  width: 100%;
  text-align: center;
}
.topoperationsrow .topoperationsrowtitle{
  width: 100%;
  text-align: center;
  margin: 0;
  direction: rtl;
  padding: 5px 0 0 0;
}
.deletelink
{
  color:red;

}
.fonticonlink{
  display: flex;
  height: 100%;
  align-items: center;

}

.fonticonlink a{

  font-size: 21px;
  background: #0c5ef1;
  color: #ffffff;
  height: 40px;
  border:3px solid #083888;
  line-height: 41px;
  margin-right: 5px;
  margin-left: 5px;
  text-align: center;
  width: 40px;
  border-radius: 100%;
}
.fonticonlink a:hover {
  background: #083888;
}
.formrow
{
  width: 100%;
  clear: both;
  padding: 5px;
}

.formlabel
{
  width: 100px;
  float: right;
  margin-top: 10px;
  height: 30px;
  font-size: 15px;
}

.formfield
{
  width: 700px;
  float: right;
}
.formfield input
{
  width: 100%;
}
.input
{
  line-height: 30px;
}
.fullrow
{
  text-align: center;
}
.middlelogo
{
  width: 100%;
  text-align: center;
  margin-top: 150px;
}
.ltr_field
{
  direction: ltr;
}
.treerow
{

  direction: rtl !important;
}
.tree
{
  height: 100%;
}
.sweetalert
{

}

.deletedangerbutton
{

}

.cancelbutton
{

}
.userdisplayname
{

}

.userlogintime
{
direction: rtl;
}

.userdisplayname img,.userlogintime img
{
  width: 30px;
  height: 30px;
  margin-right: 10px;
  margin-left: 10px;
}
.excelicon
{
  width: 30px;
  height: 30px;
}
.imageuploadpreview
{
  margin-top: 20px;
  width: 300px;
  border-radius: 15px;
  clear: both;
  display: block;
}
.valuelabel
{
  margin-right: 0;
  background: #ebebeb;
  display: block;
  padding: 10px;
  border-radius: 5px;
}
.textarea.form-control
{
  height: 200px;
}
.file.form-control
{
  height: auto;
}
.header-fixed .app-header
{
  z-index:1000;
}
.sidebar-fixed .sidebar
{

  z-index:999;
}
.headerimage
{
  width: 1024px;
}
.headerimagediv
{
  width: 100%;
  text-align: center;
  background: #ffffff;
}
.modal-header
{
  direction: ltr;
}
.modal-title
{
  width: 100%;
}
.searchcontainer
{
  margin: 0;
  padding: 0;
}
.smallvaluelable
{
  display: initial;
}
.bigOperations .col div span{
  display: block;
  text-align: center;
  font-size: 2.2em;
}
.bigoperationsrow button
{
  width: 100px;
  height: 100px;
}
.form-group .smallform-group
{
  width: 50%;
  float: right;
}
.sasmessage
{
  text-align: right;
  padding: 10px;
}
.sasmessagetitle
{
  text-align: right;
  background: #2dbbad;
  padding: 10px;
  color: #fff;
  border-radius: 10px 10px 0 0;
}
.sasmessagebar
{
  text-align: right;
  background: #fff;
  border-radius: 10px;
  margin-bottom: 10px;
}
a.link{
  font-size: 0.60em;
}
.leaflet-container {
  height: 400px;
  width: 80%;
  margin: 0 auto;
  position: relative;
}
.villa-img-thumb{
  width:100px;
  height: auto;
  border-radius: 10px;
}
.villa-img-thumb{
  width:200px;
  float: right;
  margin: 10px;
}
.villa-img-thumb img{
  width:100%;
  height: auto;
  border:2px #ffffff solid;
  border-radius: 10px;
}
.formrow{
  width: 100%;
  clear: both;
}
.toprow{

  width: 100%;
  clear: both;
}
.villamanagebox{
  width: 100%;
  clear: both;
}
.loginlogo{
  //width:100%;
  //height: auto;
  height: 180px;
}
.sweettoggle{
  color:#eeeeee;
  width: 150px;
}
.appgen-fieldoptions,.text-center{
  text-align: center;
  width: 100% ;
}
.sweettoggle:hover{
  color:#ffffff;
}
.dependentlistpage{
  background: #ffffff;
  padding: 15px;
  border-radius: 13px;
  margin-top: 10px;
}
.dependentlistpage .h5.pagetitle{
  text-align: center;
  color:#555555;
}
.dependentlisttable{

}
.bigOperations{
  width: 100%;
  display: flex;
  justify-content: center;
}
.bigOperations .col{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.bigOperations .col div{
  padding: 50px;
  float: left;
  background: #fff;
  border-radius: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
}

.smallOperations{
  width: 100%;
  display: flex;
  justify-content: center;
}
.smallOperations .col div{
  padding: 10px;
  float: right;
  background: #fff;
  border-radius: 10px;
  margin-right: 10px;
}
.smallOperations .col div:hover,.bigOperations .col div:hover{
  background: #0b4d75;
}
.smallOperations .col div:hover a,.bigOperations .col div:hover a{
  color:#ffffff;
  text-decoration: none;
}
.modal-dialog .modal-content{
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.sweet-react-components-sweet-modal{
  width:100%;
  padding: 20px;
  text-align: center;
}
.form-control.time[readonly]{
  direction: ltr;
  background-color: #ffffff;
}
.timeselectbutton{
  text-align: center;
  padding: 10px 0 10px 0;
}
.form-control.date[readonly]{
  background: #ffffff;
  width: 100%;
}
.DatePicker{
  width: 100%;
}
.timeselectorbox .modal-dialog .modal-content{
  direction: ltr;
  width: auto;

}

.sidebar{
  z-index: 10000;
}

.DatePicker__calendarContainer.-top {
  top: calc(100% + 20px) !important;
}
.DatePicker__calendarContainer.-top {
  top: calc(100% + 10px) !important;
  z-index: 10000 !important;
}
.DatePicker__calendarContainer.-top + .DatePicker__calendarArrow {
  top: calc(100%) !important;
  transform: none !important;
}
.ltrtext{
  direction: ltr;
}
.fileeditor{
  width:100%;
  height: 100%;
  min-height: 50vh;
}

.informhelp{
  color: #4b4b4bcc;
  background: #fff;
  padding: 10px;
  border-radius: 10px;
  font-size: 0.9em;
  border: 2px solid #4b4b4bcc;
  direction: rtl;
  margin-bottom: 1rem;
}

.sss{
  width:50vw;
}
.order-productkinds{
  overflow-x: scroll;
}
.order-productkinds .orderproductkinds{
  background: #fff;
  border-radius: 10px;
  overflow: hidden;
}
.order-productkinds .orderproductkinds tr{

}
.order-productkinds .orderproductkinds td{
  padding: 3px;
}
.order-productkinds .orderproductkinds th{
  padding: 3px;
  background: #1b1e21;
  color: #fff;
  border:1px solid #fff;

}
@media (max-width:767px) {
  .sidebar-fixed .sidebar {
    z-index: 1500;
    position: fixed;
  }
  .header-fixed .app-header{
    z-index: 1501;
  }
  .main .container-fluid{
    padding: 5px;
  }
  .main .container-fluid .col-md-4, .col-md-8, .col-md-12{
    padding-right: 3px;
    padding-left: 3px;
  }
  .main .container-fluid .form-control{
    height: auto;
    min-height: calc(1.5em + 0.75rem + 2px);
  }
}
